package util

import (
	"strconv"
	"time"
)

type Second int64

func NewSecond(ts ...time.Time) Second {
	t := time.Now()
	if len(ts) > 0 {
		t = ts[0]
	}
	v := t.Format(`20060102150405`)
	minute, _ := strconv.Atoi(v)
	return Second(minute)
}
